%define pre alpha2

Name:           kamoso
Version:        2.0
Release:        0.3.%{?pre}%{?dist}
Summary:        Application for taking pictures and videos from a webcam

Group:          Applications/Multimedia
# The entire source code is GPLv2+ except youtubejobcomposite*
# and youtubemanager* in src/plugins/youtube/ which is GPLv3+
License:        GPLv2+ and GPLv3+
URL:            https://projects.kde.org/projects/playground/multimedia/kamoso/
Source0:        ftp://ftp.kde.org/pub/kde/unstable/kamoso/2.0-alpha2/src/%{name}-%{version}-%{?pre}.tar.bz2

BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  kdelibs4-devel >= 4.6.0
BuildRequires:  libkipi-devel
BuildRequires:  qt-gstreamer-devel

%{?_kde4_version:Requires: kdelibs4%{?_isa} >= %{_kde4_version}} 

%description
Kamoso is an application to take pictures and videos out of your webcam.

%prep
%setup -q -n %{name}-%{version}-%{?pre}


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang %{name}


%check
desktop-file-validate %{buildroot}%{_kde4_datadir}/applications/kde4/%{name}.desktop


%post
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
  touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null
  gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :

%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING TODO
%{_kde4_bindir}/%{name}
%{_kde4_bindir}/kamosoPluginTester
%{_kde4_libdir}/kde4/kipiplugin_youtube.so
%{_kde4_iconsdir}/hicolor/*/apps/%{name}.*
%{_kde4_iconsdir}/hicolor/*/actions/youtube.*
%{_kde4_datadir}/applications/kde4/%{name}.desktop
%{_kde4_datadir}/kde4/services/kipiplugin_youtube.desktop
%{_kde4_datadir}/kde4/servicetypes/kamosoplugin.desktop



%changelog
* Tue Feb 22 2011 Alexey Kurov <nucleo@fedoraproject.org> - 2.0-0.3.alpha2
- BR: libkipi-devel

* Fri Feb  4 2011 Alexey Kurov <nucleo@fedoraproject.org> - 2.0-0.2.alpha2
- License: GPLv2+ and GPLv3+

* Thu Feb  3 2011 Alexey Kurov <nucleo@fedoraproject.org> - 2.0-0.1.alpha2
- Initial RPM release
